.callback-widget,
.callback-widget * {
    box-sizing: border-box;
}

.callback-widget {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 30px 0;
    padding: 40px;
    background-color: #fff;
    border-top: 3px solid #eb500d;
    box-shadow: 0 0 10px rgba(0,0,0,.2);
    font-family: "PT Sans";
    font-style: normal;
    color: #333;
}

.callback-widget__content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.callback-widget__title {
    display: flex;
    gap: 15px;
    color: #00355d;
    font-size: 20px;
    font-weight: 700;
    line-height: 20px;
}
.callback-widget__title::before {
    content: '';
    flex-shrink: 0;
    display: inline-block;
    width: 32px;
    height: 32px;
    transform: translateY(-5px);
    background-image: url('phone.png');
}

.callback-widget__text {
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
}

.callback-widget-form {
    display: grid;
    grid-template-columns: 1fr;
    gap: 5px;
}

.callback-widget-form .form-group {
    margin: 0;
}

.callback-widget-form__field {
    width: 100%;
    height: 46px;
    padding: 14px 20px;
    border: 1px solid #ccc;
    background: #fff;
}

.callback-widget-form__btn-submit {
    width: 100%;
    min-height: 46px;
}

.callback-widget-form__agree {
    padding-bottom: 0;
}

.callback-widget__success-message {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}
.callback-widget__success-message__title {
    font-size: 22px;
    font-weight: bold;
    color: #eb500d;
}
.callback-widget__success-message__text {
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
}

@media (min-width: 1024px) {
    .callback-widget {
        padding: 50px 100px;
    }

    .callback-widget__content {
        gap: 15px;
    }
    .callback-widget__title {
        margin-left: -47px;
        font-size: 28px;
        line-height: 26px;
    }
    .callback-widget__text {
        font-size: 18px;
        line-height: 20px;
    }
    .callback-widget-form {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 10px;
    }
    .callback-widget-form__actions,
    .callback-widget-form__agree {
        grid-column: 1 / span 2;
    }
    .callback-widget__success-message {
        gap: 10px;
    }
    .callback-widget__success-message__title {
        font-size: 26px;
        line-height: 22px;
    }
    .callback-widget__success-message__text {
        font-size: 18px;
        line-height: 20px;
    }
}
